#ifndef CANBUSMYSQLDATABASE_H
#define CANBUSMYSQLDATABASE_H

#include<mysql/mysql.h>
#include<mysql++/mysql++.h>
#include "canbus.h"
#include "candatatype.h"

namespace robot {
namespace canbusSpace {

#define DATABASE_SUCCESS     0
#define DATABASE_FAILTURE   -1

class CanbusMySqlDataBase
{

public:
      CanbusMySqlDataBase(){}

  static std::string Name();

  /**
  * @brief
  * @brief
  * @return
  */
  static int QueryDB();

  static int InsertDB();

  /**
  * @brief 查询参数数据库
  * @brief 输入参数为车型ID
  * @return 返回是否查询成功 0表示成功，-1表示失败
  */
  static int QuerySysPara(long id,RACK_SYS_PARA *rackSysPara);

  /**
  * @brief 插入测试任务信息表
  * @brief 输入参数
  * @return 返回插入数据的Id ，-1表示失败
  */
  static long InsertTaskInfo(int CarType,
                            std::string Standard,
                            std::string DateTime,
                            double OverThresholdValue,
                            int StandardNum);

  /**
  * @brief 插入测试任务数据采集表
  * @brief 输入参数
  * @return 返回插入数据的Id ，-1表示失败
  */
  static int InsertTaskData(long TaskId,
                            double SetSpeed,
                            double ActualSpeed,
                            long AccOrderPsng,
                            long BrkOrderPsng,
                            double StandardSpeedTimeStamp,
                            int OverSpeedNum,
                            int StandardTaskCount);

  /**
  * @brief 测试任务数据采集表界面显示
  * @brief 输入参数
  * @return 返回插入数据的Id ，-1表示失败
  */
  static int InsertTaskDataUI(long TaskId,
                              double SetSpeed,
                              double ActualSpeed,
                              double StandardSpeedTimeStamp,
                              int OverSpeedNum,
                              int StandardTaskCount);
private:

};
}// namespace canbusSpace
}// namespace robot
#endif // CANBUSMYSQLDATABASE_H
