/*
 * PID.h
 *
 *  Created on: Dec 7, 2023
 *      Author: siasun
 */
#include "canbus.h"
#ifndef PID_H_
#define PID_H_

//#define Calculation_Time  0.01//10MS

//#define KP_BaseValue  0.06
//#define KI_BaseValue  0.000006
//#define KD_BaseValue  0.01

//#define KP_Factor   6
//#define KI_Factor   0.008
//#define KD_Factor   0.001

#define ERROR     6
#define ERROR_C   400

#define MaxValue  1.0
#define MinValue -1.0

namespace robot {
namespace canbusSpace {
class PID
{


public:

    PID();
    ~PID();
private:
    /********************************位置PID*************************************/

    float Pid(int TargetSpeed  ,int ActualSpeed);

    /*********************************增量PID************************************/

    float ADD_PID(int TargetSpeed ,int ActualSpeed);

    /*********************************模糊PID*************************************/
     void Get_grad_membership(float erro, float erro_c);////输入e与de/dt隶属度计算函数
      float Quantization(float x,float y);//设定e与de/dt范围
      float Inverse_quantization( float k,float qvalues);//增量kp,ki,kd 乘以系数
      void GetSumGrad();//获取输出增量kp,ki,kd的总隶属度
      void GetOUT();//计算输出增量kp,kd,ki对应论域值


   int  num_area ; //划分区域个数
   float qdetail_kp  ;               //增量kp对应论域中的值
   float qdetail_ki  ;               //增量ki对应论域中的值
   float qdetail_kd  ;               //增量kd对应论域中的值

   float e_membership_values[7]  ; //输入e的隶属值
   float ec_membership_values[7]  ;//输入de/dt的隶属值
   float kp_menbership_values[7]  ;//输出增量kp的隶属值
  float ki_menbership_values[7]  ; //输出增量ki的隶属值
   float kd_menbership_values[7] ;  //输出增量kd的隶属值


   float e_gradmembership[2] ;      //输入e的隶属度
   float ec_gradmembership[2];     //输入de/dt的隶属度
   int e_grad_index[2] ;            //输入e隶属度在规则表的索引
   int ec_grad_index[2] ;           //输入de/dt隶属度在规则表的索引
   float gradSums[7] ;
   float KpgradSums[7] ;   //输出增量kp总的隶属度
   float KigradSums[7] ;   //输出增量ki总的隶属度
   float KdgradSums[7] ;   //输出增量kd总的隶属度

public:
  float FuzzyPIDcontroller(float TargetSpeed,float ActualSpeed,float Calculation_Time,
                           float KP_BaseValue,float KI_BaseValue,float KD_BaseValue,
                           float KP_Factor,float KI_Factor,float KD_Factor);//模糊PID控制实现函数
  int test();

/****************************************************************************************/


};
extern PID PidControll;
}// namespace canbusSpace
}// namespace robot



#endif /* PID_H_ */
