/******************************************************************************
 * Copyright 2020 The siasun Transport Authors. All Rights Reserved.
 * Author: madesheng
 * Licensed under the Apache License, Version 1.0 (the "License");
 *****************************************************************************/
#ifndef CANMSGOBDMSGID_H
#define CANMSGOBDMSGID_H

/**
 * @namespace robot::common
 * @brief robot::common
 */
namespace robot{
namespace common{

//控制器上电命令
const int PowerOnReq = 0x7F2;
//执行机构使能请求
const int ActuatorEnableReq = 0x7F5;
//学习模式请求确认
const int LearnModeReq = 0x7F7;
//油门踏板执行机构控制命令
const int AccPedalActCtrReq = 0x5F2;
//制动踏板执行机构控制命令
const int BrkPedalActCtrReq = 0x5F0;
//转向执行机构控制命令
const int SteerActCtrReq = 0x5F4;
//档位执行机构控制命令
const int ShiftActCtrReq = 0x5FA;
//机器人自检控制命令
const int RobotSelfCheckCtrReq = 0x5FC;
//机器人手动控制命令
const int RobotDriverCtr = 0x5FD;
//设备管理
const int RobotManager = 0x7F6;
//上位机监控
const int ICUMonitor = 0x7F8;
//转向机构加速度控制请求
const int ActuatorAccelerateCtrReq = 0x5F5;
//执行机构限值设置
const int ActuatorCtrLimit = 0x7F3;
//力矩保护设置
const int TorqueProtectStp = 0x7F4;
//制动机构时间控制设置
const int BrkTimCtrlStp = 0x5F1;
//转向三角波
const int SteerTranLineCtr = 0x5F6;
//转向正弦控制
const int SteerSinCtr = 0x5F7;
//油门机构位置时间控制
const int AccPositionCtrStp = 0x5F3;
//方向盘位置时间序列控制
const int SteerPositionTimeCtr = 0x5F8;
//车辆一键启动
const int VehicleStart = 0x5FB;
//坡度模板
const int SlopeMODE = 0x5FE;
//车辆状态1
const int VehicleStatus1 = 0x6F1;
//车辆状态2
const int VehicleStatus2 = 0x6F2;
//车辆状态3
const int VehicleStatus3 = 0x6F3;
//工控机状态
const int ComputerStaus = 0x6F4;
//档位 Z 轴状态反馈
const int ZSftStaus = 0x6F5;
//机器人执行机构实际位置
const int RobotAcuatorPos = 0x6E0;
//(油门和制动)踏板学习位置反馈
const int PedalLearnPosBack = 0x6E1;
//转向学习位置反馈
const int SteerLearnPosBack = 0x6E2;
//档位学习位置反馈1
const int ShiftLearnPosBack1 = 0x6E3;
//控制器上电状态
const int CtrPowerStatus = 0x6E4;
//执行机构使能状态
const int ActuatorEnableStatus = 0x6E5;
//油门控制状态反馈
const int AccPedalStatusBack = 0x6E6;
//制动踏板控制状态反馈
const int BrkPedalStatusBack = 0x6E7;
//离合踏板控制状态反馈
const int ClutchPedalStatusBack = 0x6E8;
//转向控制状态反馈
const int SteerStatusBack = 0x6E9;
//档位控制状态反馈
const int ShiftStatusBack = 0x6EA;
//系统运行状态参数反馈1
const int RSysInfoBack1 = 0x6EB;
//系统运行状态参数反馈2
const int RSysInfoBack2 = 0x6ED;
//系统学习状态反馈
const int SysLearnBack = 0x6EE;
//档位学习位置反馈2
const int ShiftLearnPosBack2 = 0x6EF;
//系统监控状态反馈
const int SysMonitorBack = 0x6D0;
//系统报警
const int SysWarnErr = 0x6D1;
//油门报警
const int AccErr= 0x6D2;
//制动报警
const int BrkErr = 0x6D3;
//档位X电机报警
const int XsftErr = 0x6D4;
//档位Y电机报警
const int YsftErr = 0x6D5;
//转向电机报警
const int StrErr = 0x6D6;
//方向盘位置时间控制请求
const int SteerPosTimeReq = 0x6D7;
//Estop系统信息
const int EstopInfo = 0x2E0;
//Estop故障码
const int EstopErr = 0x2E1;
// 急停控制
const int EstpCtrl = 0x201;
//机器人工作模式配置
const int RobotWorkMd = 0x7F0;
//系统控制模式
const int SysCtrlMode = 0x7F1;
//IO控制模块
const int IOMode = 0x5FF;
//车辆信息1
const int Car1 = 0x3F1;
//车辆信息2
const int Car2 = 0x3F2;

//OBD实际油门踏板行程
//const int ObdAccPsng = 0x1A1;
const int ObdAccPsng = 0x070;
//OBD实际制动踏板行程
const int ObdBrkPsng = 0x0F1;
//OBD实际挡位
const int ObdSftPsng = 0x135;
//OBD车辆手刹状态
const int ObdVehHBrkStat = 0x1F1;
//OBD实际车辆启动状态
const int ObdVehSwStat = 0x121;
//OBD实际方向盘转角
const int ObdStrAng = 0x1E5;
//OBD实际发动机转速
const int ObdEngSpd = 0x0C9;
} // common
} // robot

#endif // CANMSGOBDMSGID_H
