/******************************************************************************
 * Copyright 2020 The siasun Transport Authors. All Rights Reserved.
 * Author: madesheng
 * Licensed under the Apache License, Version 1.0 (the "License");
 *****************************************************************************/

/**
 * @file
 * @brief Some util functions.
 */

#ifndef ROBOT_COMMON_UTIL_H_
#define ROBOT_COMMON_UTIL_H_

#include <string>



/**
 * @namespace robot::common
 * @brief robot::common
 */
namespace robot {
namespace common {


/**
 * @brief Check if a string ends with a pattern.
 * @param original The original string. To see if it ends with some
 *        specified pattern.
 * @param pattern The target pattern. To see if the original string ends
 *        with it.
 * @return Whether the original string ends with the specified pattern.

 当original字符串以 pattern 结尾时，返回true。

 */
bool EndWith(const std::string &original, const std::string &pattern);

}  // namespace common
}  // namespace robot

#endif  // ROBOT_COMMON_UTIL_H_
